Bug 242353 - sysutils/rubygem-bundler: Update to 2.1.4
Summary: sysutils/rubygem-bundler: Update to 2.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-02 08:14 UTC by Yasuhiro KIMURA
Modified: 2020-10-03 12:13 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch file (1.37 KB, patch)
2019-12-02 08:14 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (1.87 KB, patch)
2019-12-25 01:26 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (1.87 KB, patch)
2020-01-04 07:13 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (1.87 KB, patch)
2020-01-06 03:46 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (945 bytes, patch)
2020-09-21 20:40 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-12-02 08:14:44 UTC
Created attachment 209590 [details]
Patch file

By setting GEM_MANUALS_SEC1 and GEM_MANUALS_SEC5, create symbolic links for man pages so they can be found by man(1) command.

This patch is based on my proposal in bug #241555, comment #11.
Comment 1 Automation User 2019-12-17 00:04:47 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/103562473
Comment 2 Yasuhiro KIMURA 2019-12-25 01:26:42 UTC
Created attachment 210212 [details]
Updated patch file

New version 2.1.2 is reloased. So please commit attached patch instead of original one.
Comment 3 Yasuhiro KIMURA 2020-01-04 07:13:28 UTC
Created attachment 210435 [details]
Updated patch file

Newer version 2.1.3 is released. So please commit attached patch instead of previous ones.
Comment 4 Yasuhiro KIMURA 2020-01-06 03:46:11 UTC
Created attachment 210474 [details]
Updated patch file

Newer version 2.1.4 is released. So please commit attached patch instead of previous ones.
Comment 5 Koichiro Iwao freebsd_committer 2020-01-28 07:20:29 UTC
Updating changes and gem man changes should be separated.
Let's make this bug do update only. So no longer depends on bug 241554, bug 242352.
Comment 6 Yasuhiro KIMURA 2020-09-21 20:40:51 UTC
Created attachment 218161 [details]
Updated patch file

Update patch so it simply update this port to 2.1.4 and doesn't depends on bug  241554 and bug 242352.
Comment 7 Yasuhiro KIMURA 2020-09-30 09:39:15 UTC
(In reply to Koichiro Iwao from comment #5)

According to your suggestion I updated patch so it simply update this port to 2.1.4. So please commit it now.
Comment 8 commit-hook freebsd_committer 2020-10-03 12:09:44 UTC
A commit references this bug:

Author: meta
Date: Sat Oct  3 12:09:11 UTC 2020
New revision: 551305
URL: https://svnweb.freebsd.org/changeset/ports/551305

Log:
  sysutils/rubygem-bundler: Update to 2.1.4

  PR:		242353
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Changes:
  head/sysutils/rubygem-bundler/Makefile
  head/sysutils/rubygem-bundler/distinfo
Comment 9 Koichiro Iwao freebsd_committer 2020-10-03 12:13:24 UTC
Committed, thanks!